### Method

# Shumate DataSourceRequest is_completed

since: 1.1

#### Declaration [src]

    gboolean
    shumate_data_source_request_is_completed (
      ShumateDataSourceRequest* self
    )

#### Description [src]

Gets whether the request has been completed. Completed requests will not receive new data or errors.

Available since: 1.1

Gets property | `Shumate.DataSourceRequest:completed`

#### Return value

Type: `gboolean`

`TRUE` if the request is completed, otherwise `FALSE`.